#
# spec file for package nodejs-lru-cache
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name lru-cache

Name:           nodejs-lru-cache
Version:        2.6.4
Release:        14.1
Summary:        LRU Cache
License:        MIT
Group:          Development/Libraries/Other
Url:            https://github.com/isaacs/node-lru-cache
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Obsoletes:      nodejs-lrucache

%nodejs_find_provides_and_requires

%description
A cache object that deletes the least-recently-used items.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json lib \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}

%files
%defattr(-,root,root,-)
%doc CONTRIBUTORS LICENSE README.md
%{nodejs_modulesdir}/lru-cache

%changelog
* Sat Jun  6 2015 i@marguerite.su
- update version 2.6.4
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 2.6.1
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Sun Sep 21 2014 i@marguerite.su
- format specfile
* Thu Sep 11 2014 jgleissner@suse.com
- obsolete nodejs-lrucache (old name in build service)
* Wed Aug 13 2014 jgleissner@suse.com
- spec file clean up
* Wed Jan 29 2014 rschweikert@suse.com
- spec file clean up
  + locally define module path
  + use path definition fo simpification
* Tue Jan 28 2014 rschweikert@suse.com
- Initial build
